How to Repair your Microsoft .NET Framework

If you are encountering an Application integrity is broken error message when trying to run Little Reader, Little Math or Little Musician, please Repair your Microsoft .NET Framework by doing the following:

 

For Windows XP

1. From your Start menu, open your Control Panel.
2. Go to Add or Remove Programs.
3. Find and select Microsoft .NET Framework ## (note that you may have different versions of this installed, such as 2.0, 3.0, 3.5, 4.0, etc.)

- Click on the Change button.
- Choose Repair when given the option.

 

For Windows Vista and Windows 7

1. From your Start menu, open your Control Panel.
2. Under Programs,  choose Programs and Features.
3. Find and select Microsoft .NET Framework ## (note that you may have different versions of this installed, such as 2.0, 3.0, 3.5, 4.0, etc.)

- Click on the Change button.
- Choose Repair when given the option.

 

If you see multiple versions of the .NET Framework (e.g.: 2.0, 3.0, 3.5, 4.0, etc.) installed in your computer, choose the latest version available and Repair it. If that does not resolve the problem, then try to repair the others too. It may also help if you uninstall your older versions of the .NET Framework in case these are conflicting with the latest version you have installed.

 

For Windows 8, Windows 8.1 and Windows 10

The .NET Framework comes preinstalled in your computer, but it is turned off by default. Please enable all versions of .NET by following the instructions in this article: http://windows.microsoft.com/en-us/windows-8/net-framework-windows-8

If you already have all .NET Framework versions enabled and you are still having problems in your BrillKids programs, download and run the Microsoft .NET Framework Repair Tool by following the instructions here: https://www.microsoft.com/en-us/download/details.aspx?id=30135

 

DON'T HAVE THE MICROSOFT .NET FRAMEWORK? 

If you don't see any Microsoft .NET Framework installed in your computer, you may download the .NET installer from the Microsoft website (minimum required .NET version is 2.0):

For Windows XP:
- Microsoft .NET Framework 2.0 (x86) / Microsoft .NET Framework 2.0 (x64)
- OR Microsoft .NET Framework 4.0 (for x86 & x64)

For Windows Vista (SP2):
- Microsoft .NET Framework 4.5.2 (for x86 & x64)

For Windows 7 (SP1), Windows 8, Windows 8.1 and Windows 10:
- Microsoft .NET Framework 4.6.1 (for x86 & x64)

 

Once the Repair process is finished, open your BrillKids software and see if the problem was fixed. If you are still having problems, you might want to try Repairing your BrillKids software, or send a Diagnostic Report to the BrillKids Team for further troubleshooting.

 

Related Articles:

How to Repair your BrillKids Learning System

How to Create a Diagnostic Report for your BrillKids Learning System

Have more questions? Submit a request

Comments

Powered by Zendesk